/**
 * generated by Xtext 2.18.0.M3
 */
package tdt4250.ra.ide;

import com.google.inject.Guice;
import com.google.inject.Injector;
import org.eclipse.xtext.util.Modules2;
import tdt4250.ra.Rax1RuntimeModule;
import tdt4250.ra.Rax1StandaloneSetup;

/**
 * Initialization support for running Xtext languages as language servers.
 */
@SuppressWarnings("all")
public class Rax1IdeSetup extends Rax1StandaloneSetup {
  @Override
  public Injector createInjector() {
    Rax1RuntimeModule _rax1RuntimeModule = new Rax1RuntimeModule();
    Rax1IdeModule _rax1IdeModule = new Rax1IdeModule();
    return Guice.createInjector(Modules2.mixin(_rax1RuntimeModule, _rax1IdeModule));
  }
}
